diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index c7e7eddf3..eac6f1932 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -1381,6 +1381,7 @@ void SurgeGUIEditor::openOrRecreateEditor()
                                    style | conn.payload->controlStyleFlags);
          }
       }
+      i++;
    }
 
    // resonance link mode
